Package picard.vcf.filter

# Interface GenotypeFilter

All Known Implementing Classes:
  `DepthFilter`, `GenotypeQualityFilter`

public interface GenotypeFilter
An interface for classes that perform Genotype filtration. Implementations are expected to take in a VariantContext and a single Genotype and return either null (for no filter) or a specific filter string.

## Method Summary

Modifier and Type
Method
Description
`String`
`filter(htsjdk.variant.variantcontext.VariantContext ctx, htsjdk.variant.variantcontext.Genotype gt)`
Test whether or not the genotype should be filtered out.

## Method Details

### filter

String filter(htsjdk.variant.variantcontext.VariantContext ctx, htsjdk.variant.variantcontext.Genotype gt)
Test whether or not the genotype should be filtered out. If so return a filter string, otherwise return null.